Bug 242955 - CIPSO packets generate kernel unaligned access messages
CIPSO packets generate kernel unaligned access messages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
ia64 Linux
low Severity low
: ---
: ---
Assigned To: Luming Yu
Martin Jenner
: OtherQA
Depends On:
Blocks: 425461
  Show dependency treegraph
 
Reported: 2007-06-06 13:06 EDT by Paul Moore
Modified: 2013-08-05 21:42 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:43:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to the RHEL5 lspp.81 kernel (1.22 KB, patch)
2007-06-06 13:06 EDT, Paul Moore
no flags Details | Diff

  None (edit)
Description Paul Moore 2007-06-06 13:06:20 EDT
Description of problem:
The kernel performs several unaligned accesses when validating and parsing 
incoming CIPSO tagged packets which result in error messages on IA64 
platforms, although it is likely other alignment sensitive platforms are 
affected as well.  The attached patch fixes this problem.

Version-Release number of selected component (if applicable):
kernel-2.6.18-8.1.3.lspp.81.el5
selinux-policy-2.4.6-67.el5
selinux-policy-mls-2.4.6-67.el5

How reproducible:
Every incoming packet with a CIPSO IPv4 option present.

Steps to Reproduce:
1. netlabelctl cipsov4 add pass doi:1 tags:1
2. netlabelctl map domain:ping_t protocol:cipsov4,1
3. ping localhost
  
Actual results:
The kernel generates several unaligned access messages which are visible on 
the console and via the dmesg command.

Expected results:
No unaligned access messages should be displayed.

Additional info:
Patches which address this problem in upstream kernels will be posted to the 
Linux netdev mailing list for inclusion in mainline kernels.
Comment 1 Paul Moore 2007-06-06 13:06:20 EDT
Created attachment 156372 [details]
Patch to the RHEL5 lspp.81 kernel
Comment 2 Luming Yu 2007-08-13 01:27:16 EDT
Is the proposed patch in upstream?
Comment 3 Linda Knippers 2007-08-13 11:25:16 EDT
The patch was posted the same day and applied to the netdev tree
the following day so its well on its way, if not there already.
http://marc.info/?l=linux-netdev&m=118123094723285&w=2

(Paul is out this week)
Comment 4 RHEL Product and Program Management 2007-11-13 15:46:19 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Don Zickus 2007-12-14 13:38:17 EST
in 2.6.18-60.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 John Poelstra 2008-03-20 23:59:23 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 9 John Poelstra 2008-04-02 17:40:05 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 10 John Poelstra 2008-04-09 18:45:51 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 11 John Poelstra 2008-04-23 13:41:08 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot6--available now on partners.redhat.com.  

We are nearing GA for 5.2 so please test and confirm that your issue is fixed ASAP.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 12 John Poelstra 2008-05-01 12:51:03 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot7--available now on partners.redhat.com.  

We are nearing GA for 5.2--this is the last opportunity to test and confirm that
your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 13 Paul Moore 2008-05-08 17:21:43 EDT
Verified in RHEL 5.2 snapshot 3
Comment 15 errata-xmlrpc 2008-05-21 10:43:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.